<?php
/**
 */

namespace execut\files\bootstrap;


use execut\crud\Bootstrap;
use execut\files\models\File;
use execut\navigation\Component;
use execut\crud\navigation\Configurator;
use yii\helpers\ArrayHelper;
use yii\i18n\PhpMessageSource;

class Backend extends Common
{
    public function getDefaultDepends()
    {
        return ArrayHelper::merge(parent::getDefaultDepends(), [
            'bootstrap' => [
                'crud' => [
                    'class' => Bootstrap::class,
                ],
            ],
        ]); // TODO: Change the autogenerated stub
    }

    /**
     * @param \yii\base\Application $app
     */
    public function bootstrap($app)
    {
        parent::bootstrap($app);
        $this->bootstrapNavigation($app);
        $this->initI18n();
    }

    public function initI18n() {
        \yii::$app->i18n->translations['execut/files'] = [
            'class' => PhpMessageSource::class,
            'basePath' => '@vendor/execut/files/messages',
        ];
    }

    /**
     * @param $app
     */
    protected function bootstrapNavigation($app)
    {
        if ($app->user->isGuest) {
            return;
        }

        /**
         * @var Component $navigation
         */
        $navigation = $app->navigation;
        $navigation->addConfigurator([
            'class' => Configurator::class,
            'module' => 'files',
            'moduleName' => 'Files',
            'modelName' => File::MODEL_NAME,
            'controller' => 'backend',
        ]);
    }
}